VULKAN_HPP_NAMESPACE::FlagTraits< DebugReportFlagBitsEXT > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(DebugReportFlagBitsEXT::eInformation) | VkFlags(DebugReportFlagBitsEXT::eWarning) | VkFlags(DebugReportFlagBitsEXT::ePerformanceWarning) | VkFlags(DebugReportFlagBitsEXT::eError) | VkFlags(DebugReportFlagBitsEXT::eDebug) }

## Detailed Description

Definition at line 29711 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 29713 of file vulkan.hpp.

{
allFlags = VkFlags(DebugReportFlagBitsEXT::eInformation) | VkFlags(DebugReportFlagBitsEXT::eWarning) | VkFlags(DebugReportFlagBitsEXT::ePerformanceWarning) | VkFlags(DebugReportFlagBitsEXT::eError) | VkFlags(DebugReportFlagBitsEXT::eDebug)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DebugReportFlagBitsEXT::eInformation
@ eInformation
VULKAN_HPP_NAMESPACE::DebugReportFlagBitsEXT::ePerformanceWarning
@ ePerformanceWarning
VULKAN_HPP_NAMESPACE::FlagTraits< DebugReportFlagBitsEXT >::allFlags
@ allFlags
Definition: vulkan.hpp:29715
VULKAN_HPP_NAMESPACE::DebugReportFlagBitsEXT::eWarning
@ eWarning
VULKAN_HPP_NAMESPACE::DebugReportFlagBitsEXT::eDebug
@ eDebug
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::DebugReportFlagBitsEXT::eError
@ eError